package com.realnet.com.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.com.Entity.Student_registration;
import com.realnet.com.Services.Student_registrationService ;
















@RequestMapping(value = "/Student_registration")
 @CrossOrigin("*") 
@RestController
public class Student_registrationController {
	@Autowired
	private Student_registrationService Service;

@Value("${projectPath}")
	private String projectPath;
 
















	@PostMapping("/Student_registration")
		  public Student_registration Savedata(@RequestBody Student_registration data) {
		Student_registration save = Service.Savedata(data)	;















		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Student_registration/{id}")
	public  Student_registration update(@RequestBody Student_registration data,@PathVariable Integer id ) {
		Student_registration update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Student_registration/getall/page")
	public Page<Student_registration> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Student_registration> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Student_registration")
	public List<Student_registration> getdetails() {
		 List<Student_registration> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Student_registration")
	public List<Student_registration> getallwioutsec() {
		 List<Student_registration> get = Service.getdetails();		
		return get;
}
@GetMapping("/Student_registration/{id}")
	public  Student_registration  getdetailsbyId(@PathVariable Integer id ) {
		Student_registration  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Student_registration/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}

















}